Subject: Attached-to-ansi Printing and Linux

From: John Harris <[email-masked]>
Date: Thu, 10 Apr 1997 21:17:08 -0700

I would like to print my e-mail directly from a remote PINE (my ISP's)
to my local LINUX box.  I use C-KERMIT to log in.  I have the PRINTER
configuration in the remote PINE set to 'attached-to-ansi.'  However,
when I press 'Y,' the text just flashes by on the screen and does
not print off on my local Laserjet Series II printer; however,
everything works fine when I log in to my ISP from DOS using MS-KERMIT.

I have consulted my ISP and he says it should work.  He even directed me
to use a programme called 'lpansi' to test it out, but the results are
always the same.  I have used 'vtprint' command on the remote KERMIT and
everything just appears on the screen as usual.

What have I done to test it out? 

I have set my local PRINTER variable to PRINTER=lp
PRINTER=/usr/bin/lpr and possibly a few others.

I have used the LINUX 'console' for terminal emulation and have also
tried vt100 on my local LINUX box.  My ISP is set to vt100 and I have
also set KERMIT to the same terminal emulation.

I have tried the followoing commands on my local KERMIT:  set destination
printer set printer lp, or set printer /usr/bin/lpr. I am not really usr
how the environment variable PRINTER should be set in any case, but I
think 'lp' is the only definition that is correct since it is the name 
of the printer in /etc/printcap. 

If you could reply by e-mail I would appreciate it.

John